<?php
    //Start the session
    session_start();
    //Require the class
    require('formkey.class.php');
    //Start the class
    $formKey = new formKey();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title>EC 2201 Videos</title>

    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <meta charset="UTF-8">
</head>
<body>
    <br><br>
    <div class="w3-container">
        <?php
            if(!isset($_POST['form_key']) || !$formKey->validate())
            {
                echo "<script type='text/javascript'>window.top.location='index.php';</script>";
                die();
            }

            else
            {
                $File = fopen("log.csv", "a");
                fwrite($File, $_POST["username"] . ", " . date("Y-m-d") . ", " . date("H:i") . ", " . $_POST["url"] .", start \n");
                fclose($File);
            }
        ?>
        <div id="VideoArea">
            <!-- Video Code Gos Below -->            
            <iframe width="560" height="315" src="<?php echo $_POST['url']; ?>" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
        
        </div>
        <button id="FullScreenButton" onclick="openFullscreen()">Start</button>
        <form method="POST" action="done.php">
            <?php $formKey->outputKey(); ?>
            <input type="hidden" value="<?php echo $_POST['username']; ?>" name="username">
            <input type="hidden" value="<?php echo $_POST['url']; ?>" name="url">
            <button id="DoneButton" type="submit">Done</button>
        </form>
    </div>
<script>
    var elem = document.documentElement;
    VideoArea = document.getElementById("VideoArea")
    VideoArea.style.display = "none";
    DoneButton = document.getElementById("DoneButton")
    DoneButton.style.display = "none";

    function openFullscreen() {
        if (elem.requestFullscreen) {
            elem.requestFullscreen();
        } else if (elem.webkitRequestFullscreen) { /* Safari */
            elem.webkitRequestFullscreen();
        } else if (elem.msRequestFullscreen) { /* IE11 */
            elem.msRequestFullscreen();
        }

        VideoArea = document.getElementById("VideoArea");
        
        VideoArea.style.display = "block";

        FullScreenButton = document.getElementById("FullScreenButton");
        FullScreenButton.style.display = "none";

        DoneButton = document.getElementById("DoneButton")
        DoneButton.style.display = "block";
    }
</script> 
</body>
</html>